gd_naliases(3)

NAME
gd_naliases — report the number of aliases of a field in a Dirfile

SYNOPSIS
#include <getdata.h>

unsigned int gd_naliases(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The function queries a dirfile(5) database specified by dirfile and counts the number of aliases of the entry (including the entry's name) specified by field_code.

The dirfile argument must point to a valid DIRFILE object previously created by a call to

RETURN VALUE
Upon successful completion, returns an unsigned integer indicating the number of aliases of the specified field code in the dirfile. If successful, this count will be at least one.

On error, this function returns zero and stores a negative-valued error code in the DIRFILE object which may be retrieved by a subsequent call to Possible error codes are: The supplied field code was not found in the database. The supplied dirfile was invalid.

A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.8.0.

SEE ALSO
dirfile(5)